פיקסלים
GET https://0o0.online/api/pixels/
curl --request GET \
--url 'https://0o0.online/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| פרמטרים | פרטים | תיאור |
|---|---|---|
| search | אופציונלי חוט | רצועת החיפוש |
| search_by | אופציונלי חוט | איזה שדה אתה מחפש על ידי. ערכים מורשים הם: name, pixel. |
| type | אופציונלי חוט | ערכים מורשים : facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| datetime_field | אופציונלי חוט | ערכים מורשים : datetime, last_datetime |
| datetime_start | אופציונלי חוט | סנכרון תוצאות החל מהתאריך הזה. Y-m-d H:i:s פורמט |
| datetime_end | אופציונלי חוט | מסננים את התוצאות עד לתאריך זה. Y-m-d H:i:s פורמט |
| order_by | אופציונלי חוט | איזה שדה להזמין את התוצאות על ידי. ערכים מורשים הם: pixel_id, datetime, last_datetime, name. |
| order_type | אופציונלי חוט | ההזמנה של התוצאות. הערכים המותרים הם: ASC על מנת להעלות את ההזמנה, ו DESC להוראות הנחיתה. |
| page | אופציונלי כללי | מספר הדף שברצונך תוצאות מ. 1. |
| results_per_page | אופציונלי כללי | כמה תוצאות ברצונך לדף.ערכים מורשים הם: 10, 25, 50, 100, 250, 500, 1000. פגמים ל 25. |
{
"data": [
{
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-10-16 01:36:04",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://0o0.online/api/pixels?page=1",
"last": "https://0o0.online/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://0o0.online/api/pixels?page=1"
}
}
GET https://0o0.online/api/pixels/{pixel_id}
curl --request GET \
--url 'https://0o0.online/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-10-16 01:36:04",
}
}
POST https://0o0.online/api/pixels
| פרמטרים | פרטים | תיאור |
|---|---|---|
| type | חובה חוט | ערכים מורשים : facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | חובה חוט | - |
| pixel | חובה חוט | - |
curl --request POST \
--url 'https://0o0.online/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://0o0.online/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1
}
}
POST https://0o0.online/api/pixels/{pixel_id}
| פרמטרים | פרטים | תיאור |
|---|---|---|
| type | אופציונלי חוט | ערכים מורשים : facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | אופציונלי חוט | - |
| pixel | אופציונלי חוט | - |
curl --request POST \
--url 'https://0o0.online/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://0o0.online/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1
}
}
DELETE https://0o0.online/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://0o0.online/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \